package com.astalange.core.entity;

import java.util.Set;

public enum ZoneTerrain {
    COMPLET("Terrain Complet", Set.of(1, 2, 3, 4)),
    DEMI_A("Demi-terrain A", Set.of(1, 2)),
    DEMI_B("Demi-terrain B", Set.of(3, 4)),
    QUART_1("Quart 1", Set.of(1)),
    QUART_2("Quart 2", Set.of(2)),
    QUART_3("Quart 3", Set.of(3)),
    QUART_4("Quart 4", Set.of(4));

    private final String libelle;
    private final Set<Integer> quarters;

    ZoneTerrain(String libelle, Set<Integer> quarters) {
        this.libelle = libelle;
        this.quarters = quarters;
    }

    public String getLibelle() {
        return libelle;
    }

    public Set<Integer> getQuarters() {
        return quarters;
    }
}
